/**
 * This class represents balls in the game. Each ball has a current position,
 * radius, velocity, and color. In addition, a ball might or might not be
 * exploding at a given time.
 */
public class Ball {
    
    private Point center;
    private double radius;
    private Velocity velocity;
    private int color;             // A positive integer maps to 1 of 8 colors
                                   //   specified in class GameFrame
    private boolean isExploding;
    private double explodingTime;  // Time since beginning of explosion
    
    /**
     * Constructs a ball with the given parameters. Colors are represented with
     * non-negative integers.
     * @param center the center of the ball
     * @param radius the radius
     * @param velocity the velocity
     * @param color the color
     */
    public Ball(Point center, double radius, Velocity velocity, int color) {
        // TODO implement me!
    }
    
    /**
     * Returns the current center of this ball.
     * @return the center
     */
    public Point getCenter() {
        // TODO replace the following line with your code
        return null;
    }
    
    /**
     * Returns the color of this ball.
     * @return the color
     */
    public int getColor() {
        // TODO replace the following line with your code
        return 0;
    }
    
    /**
     * Returns whether the ball is currently exploding.
     * @return true if the ball is exploding; false otherwise
     */
    public boolean isExploding() {
        // TODO replace the following line with your code
        return false;
    }
    
    /**
     * Sets this ball to be exploding from now on.
     */
    public void setExploding() {
        // TODO implement me!
    }
    
    /**
     * Returns the radius of this ball.
     * @return the radius
     */
    public double getRadius() {
        // TODO replace the following line with your code
        return 0;
    }
    
    /**
     * Returns the current velocity of this ball.
     * @return the velocity
     */
    public Velocity getVelocity() {
        // TODO replace the following line with your code
        return null;
    }
    
    /**
     * Updates the state of this ball based on the amount of time that has
     * elapsed since the last update.
     * @param secsElapsed time elapsed in seconds (can be fractional)
     */
    public void update(double secsElapsed) {
        // TODO implement me!
    }
    
    /**
     * Checks whether this ball has collided with another ball. Should simply
     * return true or false without modifying the state of either ball.
     * @param other the other ball
     * @return true if a collision has occurred; false otherwise
     */
    public boolean checkCollision(Ball other) {
        // TODO replace the following line with your code
        return false;
    }

}
