/**
 * This is the main game class. It should have just a main method that simulates
 * the game.
 */
public class BoomShine {
    
    public static void main(String[] args) {
        // TODO you can use your own dimensions
        Walls walls = new Walls(800, 600);
        GameFrame frame = new GameFrame(walls);
        
        Ball ball1 = null;
        Ball ball2 = null;
        Ball ball3 = null;
        
        // TODO use random position, velocity, color, etc. Create ball2 as well
        ball1 = new Ball(new Point(400, 300), 30, new Velocity(-150, 0), 0);
        frame.addBall(ball1);
        
        long last = System.nanoTime();
        
        while (true) {
            // get the elapsed time in seconds since last update
            long now = System.nanoTime();
            double secsElapsed = (now - last) / 1000000000.0;
            last = now;
            
            // update position of ball1
            ball1.update(secsElapsed);
            walls.checkBounce(ball1);
            
            // TODO check collisions, explosions, clicks, bounces... in short,
            // everything else
            
            // call refresh to update screen
            frame.refresh();
        }
    }

}
